# CreateAlbumDto

Source: https://frameleaf.app/docs/api/schema/CreateAlbumDto/

```json
{
  "properties": {
    "albumName": {
      "description": "Album name",
      "type": "string"
    },
    "albumUsers": {
      "description": "Album users",
      "items": {
        "$ref": "#/components/schemas/AlbumUserCreateDto"
      },
      "type": "array"
    },
    "assetIds": {
      "description": "Initial asset IDs",
      "items": {
        "format": "uuid",
        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$",
        "type": "string"
      },
      "type": "array"
    },
    "description": {
      "description": "Album description",
      "nullable": true,
      "type": "string"
    },
    "icon": {
      "description": "Optional icon: any Material Design Icons name (see GET /albums/icons)",
      "maxLength": 80,
      "type": "string"
    },
    "kind": {
      "$ref": "#/components/schemas/AlbumKind",
      "default": "album",
      "description": "What to create: an album (default), a collection of albums or a shared space"
    },
    "parentId": {
      "description": "Collection to create the album inside (omit for top-level). Only albums nest, and only inside a collection.",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$",
      "type": "string"
    }
  },
  "required": [
    "albumName"
  ],
  "type": "object"
}
```
